Subscribers
Copy Page
Maildesk API
Maildesk Webhook
API Authentication
Subscribers
Get a subscriber by ID
GET
Update a subscriber
PUT
Delete a subscriber
DELETE
Get all subscribers
GET
Create a new subscriber
POST
Create up to 100 subscribers in a single request
POST
Tags
Get all tags
GET
Create a new tag
POST
Get a tag by ID
GET
Update a tag
PUT
Delete a tag
DELETE
Schemas
Schemas
ContactApiResponse
UpdateContactAPIRequest
PaginatedApiResponse
CreateContactAPIRequest
PaginatedTagsApiResponse
BulkCreateContactAPIRequest
CreateTagApiRequest
BulkContactApiResponse
TagApiResponse
UpdateTagApiRequest
ContactResponseDto
TagResponse
BulkContactFailure
Subscribers
Copy Page
Delete a subscriber
DELETE
/api/subscribers/{id}
Try it
Run in Apidog
Run in Apidog
Delete an existing subscriber by their unique ID
Request
Authorization
Path Params
Generate Code
Responses
🟢
204
No Content
Subscriber deleted successfully
This response does not have a body.
ðŸŸ
401
Unauthorized
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
DELETE
'https://api.maildesk.io/api/subscribers/'
Modified atÂ
2026-04-21 06:01:17
Previous
Update a subscriber
Next
Get all subscribers